classification
Title: Use Tcl/Tk 8.6.10 in build-installer.py when building on recent macOS
Type: behavior Stage: patch review
Components: macOS, Tkinter Versions:
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: miss-islington, ned.deily, ronaldoussoren, terry.reedy
Priority: normal Keywords: patch

Created on 2020-11-15 12:29 by ronaldoussoren, last changed 2021-04-23 21:48 by terry.reedy.

Pull Requests
URL Status Linked Edit
PR 23293 merged ronaldoussoren, 2020-11-15 12:39
PR 23465 merged miss-islington, 2020-11-22 17:59
PR 24081 merged ned.deily, 2021-01-04 09:20
PR 24086 merged miss-islington, 2021-01-04 09:43
Messages (6)
msg381014 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2020-11-15 12:29
As discussed before we want to switch to Tcl/Tk 8.6.10 when building the installer on a recent version of macOS. The build on macOS 10.9 should continue to use 8.6.8 due to build issues.

PR is forthcoming (currently running tests)
msg381583 - (view) Author: miss-islington (miss-islington) Date: 2020-11-22 02:05
New changeset 690a5fa3ddc675a434730b057ddb5c33f44fd0b7 by Ronald Oussoren in branch 'master':
bpo-42361: Use Tcl/Tk 8.6.10 when building the installer on recent macOS (GH-23293)
https://github.com/python/cpython/commit/690a5fa3ddc675a434730b057ddb5c33f44fd0b7
msg381626 - (view) Author: miss-islington (miss-islington) Date: 2020-11-22 18:22
New changeset 85720596f1baf8db2cd456c8c2bd07dc03c6beca by Miss Islington (bot) in branch '3.9':
bpo-42361: Use Tcl/Tk 8.6.10 when building the installer on recent macOS (GH-23293)
https://github.com/python/cpython/commit/85720596f1baf8db2cd456c8c2bd07dc03c6beca
msg384312 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2021-01-04 09:43
New changeset a38e04b566879a5040ea97428d7ee4331d76513f by Ned Deily in branch 'master':
bpo-42361: Update macOS installer build to use Tcl/Tk 8.6.11 (GH-24081)
https://github.com/python/cpython/commit/a38e04b566879a5040ea97428d7ee4331d76513f
msg384314 - (view) Author: miss-islington (miss-islington) Date: 2021-01-04 10:17
New changeset cb882f97bc142380460ea519829dc4baf0eb01f2 by Miss Islington (bot) in branch '3.9':
bpo-42361: Update macOS installer build to use Tcl/Tk 8.6.11 (GH-24081)
https://github.com/python/cpython/commit/cb882f97bc142380460ea519829dc4baf0eb01f2
msg391742 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-04-23 21:48
Close this?  Upgrade done, twice.
History
Date User Action Args
2021-04-23 21:48:50terry.reedysetnosy: + terry.reedy
messages: + msg391742
2021-01-04 10:17:38miss-islingtonsetmessages: + msg384314
2021-01-04 09:43:25miss-islingtonsetpull_requests: + pull_request22919
2021-01-04 09:43:19ned.deilysetmessages: + msg384312
2021-01-04 09:20:28ned.deilysetpull_requests: + pull_request22915
2020-11-22 18:22:28miss-islingtonsetmessages: + msg381626
2020-11-22 17:59:45miss-islingtonsetpull_requests: + pull_request22355
2020-11-22 02:05:39miss-islingtonsetnosy: + miss-islington
messages: + msg381583
2020-11-15 12:39:19ronaldoussorensetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request22184
2020-11-15 12:29:16ronaldoussorencreate